Subject: Re: git gtk+/GNOME gui application: gitg

From: Jesse van den Kieboom <[email-masked]>
Date: Wed, 04 Feb 2009 15:18:58 +0100

Op woensdag 04-02-2009 om 16:12 uur [tijdzone +0200], schreef Felipe
Contreras:
> On Wed, Feb 4, 2009 at 2:46 PM, Michael J Gruber
> <[email-masked]> wrote:
> > Jesse van den Kieboom venit, vidit, dixit 04.02.2009 12:48:
> >> Op woensdag 04-02-2009 om 09:39 uur [tijdzone +0200], schreef Felipe
> >> Contreras:
> >>> On Sat, Jan 31, 2009 at 10:05 PM, Jesse van den Kieboom
> >>> <[email-masked]> wrote:
> >>>> Hi,
> >>>>
> >>>> I have been developing a gui application for git for gtk+/GNOME based on
> >>>> GitX (which in turn is based on gitk). I feel that it's reaching the
> >>>> point where it might potentially be useful for other people to use. It
> >>>> currently features:
> >>>>
> >>>> - Loading large repositories very fast
> >>>> - Show/browse repository history
> >>>> - Show highlighted revision diff
> >>>> - Browse file tree of a revision and export by drag and drop
> >>>> - Search in the revision history on subject, author or hash
> >>>> - Switch between history view of branches easily
> >>>> - Commit view providing per hunk stage/unstage and commit
> >>>>
> >>>> The project is currently hosted on github:
> >>>> http://github.com/jessevdk/gitg
> >>>>
> >>>> clone: git://github.com/jessevdk/gitg.git
> >>>>
> >>>> Please let me know what you think,
> >>> And the obligatory screenshots?
> >>
> >> The screenshots are on the website
> >
> > Grin ;) At least I'm not the only one who didn't how to navigate the
> > github page...
> >
> > In fact, reading the top line there in the first place would have made
> > me hopeful that this is a unifying rather than splitting project. So, my
> > best wishes (I'll try and compile)!
> 
> I have several projects there, but I only use github for the vcs
> stuff, I never actually clicked the 'wiki' tab before.
> 
> Anyway, I tried gitg and the history view looks very nice (like GitX),
> definitely much better than Giggle, but unfortunately it's still not
> usable for me (gitk addict). Keep up the good work :)

Could you explain to me what makes it unusable for your wrt your
workflow in gitk?

-- 
Jesse van den Kieboom

Personal: http://www.icecrew.nl
Professional: http://www.novowork.com